> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parsimmon.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract Document



## OpenAPI

````yaml /openapi.json post /v1/extract
openapi: 3.1.0
info:
  description: Application-layer API for the Parsimmon document parsing service.
  title: Parsimmon Platform API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/extract:
    post:
      tags:
        - public
      summary: Extract Document
      operationId: extract_document_v1_extract_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_extract_document_v1_extract_post'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    Body_extract_document_v1_extract_post:
      properties:
        file:
          format: binary
          title: File
          type: string
        pipeline_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pipeline Id
        schema_form:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema Form
      required:
        - file
      title: Body_extract_document_v1_extract_post
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````